Bug 814798 - Missing Requires on hwloc-devel in openmpi-devel
Missing Requires on hwloc-devel in openmpi-devel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 13:26 EDT by Petr Machata
Modified: 2015-05-04 21:36 EDT (History)
11 users (show)

See Also:
Fixed In Version: 1.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 22:36:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Machata 2012-04-20 13:26:09 EDT
Boost uses cmake to do build configuration.  cmake's FindMPI.cmake demands that libhwloc is available, and doesn't openmpi installation complete and working unless it sees it.  I'm not sure it if is right to demand that, chances are it's wrong.  Feel free to state your opinion on that.

If it is right, then openmpi-devel should bring in hwloc-devel.

Interestingly, in openmpi.i686 0:1.5.4-3.fc17 timeframe this bug didn't occur even as hwloc has been absent from the build root (if it existed as a package at all).  I don't know whether hwloc changed that much or whether that is a proof that FindMPI.cmake is wrong to request linkable -lhwloc.

Version-Release number of selected component (if applicable):
openmpi-1.5.5-1.fc17.i686
Comment 1 Orion Poplawski 2012-04-27 17:41:40 EDT
This is really a bug in cmake's FindMPI.cmake.  It shouldn't be looking at the libraries linked in and adding those as deps.  Petr - could you file this upstream?  http://public.kitware.com/Bug/main_page.php
Comment 2 Orion Poplawski 2012-04-27 17:42:44 EDT
Actually, hold on, need to trace where things are coming from...
Comment 3 Orion Poplawski 2012-04-27 17:44:27 EDT
Nope, openmpi issue:

$ mpicc -showme:link
-pthread -m64 -L/usr/lib64/openmpi/lib -lmpi -ldl -lhwloc

Should not have -ldl -lhwloc
Comment 4 Orion Poplawski 2012-04-27 17:58:45 EDT
configure appears to add them to opal_WRAPPER_EXTRA_LIBS which then makes its way into this list.

This could be legit if the openmpi headers reference symbols in the dl or hwloc libraries but I don't see any references.
Comment 5 Orion Poplawski 2012-05-15 13:11:48 EDT
I posted a message to the openmpi users lists.  We'll see what they say.  In the meantime I've built openmpi-1.6-1.fc18 which should no longer add -ldl -lhwloc.
Comment 6 Jonathan Underwood 2013-01-10 06:42:00 EST
The -ldl is also present on F17 with 1.5.4-5 - probably worth fixing this too.
Comment 7 Fedora End Of Life 2013-04-03 16:24:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.